package cc.smtweb.system.bpm.web.engine.model.common;

import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by Zhenggm at 11-9-26 下午3:00
 * 单据明细变动接口
 */
public interface IModelDetailReadIntf<T extends DefaultEntity> {
    /**
     * 构造返回新的明细对象
     */
  T getNewInstance();

    /**
     * 读取后设置
     */
     void doAfterRead(boolean isNew, T bean);
}
